Package org.drinkless.tdlib

# Class TdApi.AccountInfo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.AccountInfo

Enclosing class:
  `TdApi`

public static class TdApi.AccountInfo extends TdApi.Object
Contains basic information about another user who started a chat with the current user.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `lastNameChangeDate`
  Point in time (Unix timestamp) when the user changed name last time; 0 if unknown.
  `int`
  `lastPhotoChangeDate`
  Point in time (Unix timestamp) when the user changed photo last time; 0 if unknown.
  `String`
  `phoneNumberCountryCode`
  A two-letter ISO 3166-1 alpha-2 country code based on the phone number of the user; may be empty if unknown.
  `int`
  `registrationMonth`
  Month when the user was registered in Telegram; 0-12; may be 0 if unknown.
  `int`
  `registrationYear`
  Year when the user was registered in Telegram; 0-9999; may be 0 if unknown.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AccountInfo()`
  Contains basic information about another user who started a chat with the current user.
  `AccountInfo(int registrationMonth, int registrationYear, String phoneNumberCountryCode, int lastNameChangeDate, int lastPhotoChangeDate)`
  Contains basic information about another user who started a chat with the current user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### registrationMonth

    public int registrationMonth
    Month when the user was registered in Telegram; 0-12; may be 0 if unknown.

  - ### registrationYear

    public int registrationYear
    Year when the user was registered in Telegram; 0-9999; may be 0 if unknown.

  - ### phoneNumberCountryCode

    public String phoneNumberCountryCode
    A two-letter ISO 3166-1 alpha-2 country code based on the phone number of the user; may be empty if unknown.

  - ### lastNameChangeDate

    public int lastNameChangeDate
    Point in time (Unix timestamp) when the user changed name last time; 0 if unknown.

  - ### lastPhotoChangeDate

    public int lastPhotoChangeDate
    Point in time (Unix timestamp) when the user changed photo last time; 0 if unknown.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AccountInfo

    public AccountInfo()
    Contains basic information about another user who started a chat with the current user.

  - ### AccountInfo

    public AccountInfo(int registrationMonth, int registrationYear, String phoneNumberCountryCode, int lastNameChangeDate, int lastPhotoChangeDate)
    Contains basic information about another user who started a chat with the current user.
    Parameters:
      `registrationMonth` - Month when the user was registered in Telegram; 0-12; may be 0 if unknown.
      `registrationYear` - Year when the user was registered in Telegram; 0-9999; may be 0 if unknown.
      `phoneNumberCountryCode` - A two-letter ISO 3166-1 alpha-2 country code based on the phone number of the user; may be empty if unknown.
      `lastNameChangeDate` - Point in time (Unix timestamp) when the user changed name last time; 0 if unknown.
      `lastPhotoChangeDate` - Point in time (Unix timestamp) when the user changed photo last time; 0 if unknown.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR